SYSTEMD-FACTORY-RESET-GENERATOR(8)

NAME
systemd-factory-reset-generator - Pull factory-reset-now.target into the initial boot transaction when factory reset has been requested

SYNOPSIS

/usr/lib/systemd/system-generators/systemd-factory-reset-generator

DESCRIPTION

systemd-factory-reset-generator is a generator that pulls factory-reset-now.target into the initial boot transaction when the factory reset operation has been requested, either via the systemd.factory_reset= kernel command line option or via the FactoryResetRequest EFI variable.

systemd-factory-reset-generator implements systemd.generator(7).

SEE ALSO

systemd(1), systemd-factory-reset(8), Factory Reset[1]

NOTES

1.  Factory Reset
    https://systemd.io/FACTORY_RESET